Bug 129502 - CAN-2004-0692 XPM decoder integer overflow
Summary: CAN-2004-0692 XPM decoder integer overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: qt (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-09 20:08 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 20:46:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream patch (264 bytes, patch)
2004-08-09 20:11 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:414 high SHIPPED_LIVE Important: qt security update 2004-08-20 04:00:00 UTC

Description Josh Bressers 2004-08-09 20:08:42 UTC
Marcus Meissner has discovered an integer overflow in qt's xpm
decoding code.  This issue is embargoed until August 18.

This issue also affects RHEL2.1

Comment 1 Josh Bressers 2004-08-09 20:11:53 UTC
Created attachment 102537 [details]
upstream patch

Comment 2 Ngo Than 2004-08-17 09:50:36 UTC
it's fixed in securiy errata.

Comment 3 Mark J. Cox 2004-08-20 14:05:11 UTC
removing embargo

Comment 4 Josh Bressers 2004-08-20 20:46:08 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-414.html



Note You need to log in before you can comment on or make changes to this bug.